Update Skill
PUT
/api/v3/organizations/{organisation}/ai/skills/{skillId}
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/example/ai/skills/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","content":"example","triggerCondition":"example","tags":["example"],"requiredTools":["example"],"source":{},"files":{},"disableModelInvocation":true,"allowedTools":["example"],"namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://dashboard.quantcdn.io/api/v3/organizations/example/ai/skills/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "content": "example", "triggerCondition": "example", "tags": [ "example" ], "requiredTools": [ "example" ], "source": {}, "files": {}, "disableModelInvocation": true, "allowedTools": [ "example" ], "namespace": "example" }'Updates an existing skill. For imported skills, this updates * local overrides (name, tags, triggerCondition) but not the source content. * Use the sync endpoint to update source content.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
skillId
required
string
The skill ID
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
description
string
content
string
triggerCondition
string
tags
Array<string>
requiredTools
Array<string>
source
object
files
object
disableModelInvocation
boolean
allowedTools
Array<string>
namespace
string
Examplegenerated
{ "name": "example", "description": "example", "content": "example", "triggerCondition": "example", "tags": [ "example" ], "requiredTools": [ "example" ], "source": {}, "files": {}, "disableModelInvocation": true, "allowedTools": [ "example" ], "namespace": "example"}Responses
Section titled “Responses”Skill updated successfully
Media typeapplication/json
object
success
boolean
skill
object
message
string
Example
{ "success": true, "message": "Skill updated successfully"}Invalid request parameters
Access denied
Skill not found
Failed to update skill
